%bcond_with bootstrap

Summary:        TestNG testing framework
Name:           testng
Version:        7.10.2
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://testng.org/

Source0:        https://github.com/cbeust/%{name}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/org/%{name}/%{name}/%{version}/%{name}-%{version}.pom

Patch3000:      0001-Avoid-accidental-javascript-in-javadoc.patch
Patch3001:      0002-Replace-bundled-jquery-with-CDN-link.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local mvn(com.beust:jcommander)
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.inject:guice::no_aop:)
BuildRequires:  mvn(junit:junit) mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif
BuildArch:      noarch

%description
TestNG is a testing framework inspired from JUnit and NUnit but introducing 
some new functionalities that make it more powerful and easier to use.
It is designed to cover all categories of tests:  unit, functional, end-to-end, 
integration, etc...

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

cp %{SOURCE1} pom.xml
rm -rf testng-test-osgi

find . -mindepth 2 -name src -type d -exec cp -r -t . {} +

find ! -path "*/test/*" -name *.jar -print -delete
find -name *.class -delete

%pom_remove_dep org.webjars:jquery

%pom_remove_dep org.yaml:snakeyaml
rm src/main/java/org/testng/internal/Yaml*.java
rm src/main/java/org/testng/Converter.java

%pom_xpath_inject "pom:dependency[pom:artifactId='guice']" "<classifier>no_aop</classifier>"

cp -p ./src/main/java/*.dtd.html ./src/main/resources/.

%mvn_file : %{name}
%mvn_alias : :::jdk15:

%build
%mvn_build -f -- -Dmaven.compiler.source=8 -Dmaven.compiler.target=8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc CHANGES.txt README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri May 31 2024 Upgrade Robot <upbot@opencloudos.tech> - 7.10.2-1
- Upgrade to version 7.10.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.6.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.6.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Xiaojie Chen <jackxjchen@tencent.com> - 7.6.1-1
- Initial build
